Subject: Re: OpenLDAP
From: Flynn <[email-masked]>
To: [email-masked]
Date: Thu, 8 Aug 2002 13:19:04 +0000 (UTC)
Newsgroups: gmane.os.cygwin

Robert Collins <[email-masked]> wrote in
news:1028804489.20180.16.camel@lifelesswks: 

<snip>
>> I'm facing two major big problems with a build of OpenLDAP I made
>> recentl 
> y.
>> I use this build as a Windows 2000 service using cygrunsrv.
>> 
>> 
>> 1)
>> In order to run it as a service, I need to specify "-d 0" as a slapd 
>> parameter. The result is that after some commands, NT/2000 eventlog
>> is full. If I remove the parameter, the program fails to launch as a
>> service 
> .
>> 
>> Any way of avoiding to use that parameter ?
> 
> Patch openLDAP to not fork() and detach. You'll find that if you look
> at what it does when -d is passed. I suggest adding something like -N
> that prevents the fork() and detach, without altering the debug
> levels. 
> 
> Rob
> 

<snip>

Thanks a lot for solving my first problem.

Any idea about the second one ?
If I shut down the service ("net stop slapd"), before shutting down the 
server, everything seems to be fine.

Is the SIGTERM I use too "powerful" ? Maybe it kills the service instead 
of telling it to end properly.
 
Flynn.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/